<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:38 CEST 2019 -->
<title>org.firebirdsql.jca Class Hierarchy (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.firebirdsql.jca Class Hierarchy (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jaybird/package-tree.html">Prev</a></li>
<li><a href="../../../org/firebirdsql/jdbc/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jca/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.firebirdsql.jca</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">org.firebirdsql.jca.<a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html" title="class in org.firebirdsql.jca"><span class="typeNameLink">FBConnectionRequestInfo</span></a> (implements javax.resource.spi.ConnectionRequestInfo, javax.resource.cci.ConnectionSpec, org.firebirdsql.gds.impl.<a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html" title="interface in org.firebirdsql.gds.impl">DatabaseParameterBufferExtension</a>, java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">org.firebirdsql.jca.<a href="../../../org/firebirdsql/jca/FBLocalTransaction.html" title="class in org.firebirdsql.jca"><span class="typeNameLink">FBLocalTransaction</span></a> (implements org.firebirdsql.jca.<a href="../../../org/firebirdsql/jca/FirebirdLocalTransaction.html" title="interface in org.firebirdsql.jca">FirebirdLocalTransaction</a>, javax.resource.cci.LocalTransaction)</li>
<li type="circle">org.firebirdsql.jca.<a href="../../../org/firebirdsql/jca/FBLocalTransaction.FBLocalXid.html" title="class in org.firebirdsql.jca"><span class="typeNameLink">FBLocalTransaction.FBLocalXid</span></a> (implements javax.transaction.xa.<a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/Xid.html?is-external=true" title="class or interface in javax.transaction.xa">Xid</a>)</li>
<li type="circle">org.firebirdsql.jca.<a href="../../../org/firebirdsql/jca/FBManagedConnection.html" title="class in org.firebirdsql.jca"><span class="typeNameLink">FBManagedConnection</span></a> (implements org.firebirdsql.gds.ng.listeners.<a href="../../../org/firebirdsql/gds/ng/listeners/ExceptionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListener</a>, javax.resource.spi.ManagedConnection, org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/Synchronizable.html" title="interface in org.firebirdsql.jdbc">Synchronizable</a>, javax.transaction.xa.<a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAResource.html?is-external=true" title="class or interface in javax.transaction.xa">XAResource</a>)</li>
<li type="circle">org.firebirdsql.jca.<a href="../../../org/firebirdsql/jca/FBManagedConnectionFactory.html" title="class in org.firebirdsql.jca"><span class="typeNameLink">FBManagedConnectionFactory</span></a> (implements org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html" title="interface in org.firebirdsql.jdbc">FirebirdConnectionProperties</a>, javax.resource.spi.ManagedConnectionFactory, java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">org.firebirdsql.jca.<a href="../../../org/firebirdsql/jca/FBManagedConnectionMetaData.html" title="class in org.firebirdsql.jca"><span class="typeNameLink">FBManagedConnectionMetaData</span></a> (implements javax.resource.spi.ManagedConnectionMetaData)</li>
<li type="circle">org.firebirdsql.jca.<a href="../../../org/firebirdsql/jca/FBStandAloneConnectionManager.html" title="class in org.firebirdsql.jca"><span class="typeNameLink">FBStandAloneConnectionManager</span></a> (implements javax.resource.spi.ConnectionEventListener, javax.resource.spi.ConnectionManager, java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">org.firebirdsql.jca.<a href="../../../org/firebirdsql/jca/FBTpb.html" title="class in org.firebirdsql.jca"><span class="typeNameLink">FBTpb</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Throwable</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Exception</span></a>
<ul>
<li type="circle">javax.resource.ResourceException
<ul>
<li type="circle">org.firebirdsql.jca.<a href="../../../org/firebirdsql/jca/FBResourceException.html" title="class in org.firebirdsql.jca"><span class="typeNameLink">FBResourceException</span></a>
<ul>
<li type="circle">org.firebirdsql.jca.<a href="../../../org/firebirdsql/jca/FBIncorrectXidException.html" title="class in org.firebirdsql.jca"><span class="typeNameLink">FBIncorrectXidException</span></a></li>
<li type="circle">org.firebirdsql.jca.<a href="../../../org/firebirdsql/jca/FBResourceTransactionException.html" title="class in org.firebirdsql.jca"><span class="typeNameLink">FBResourceTransactionException</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">javax.transaction.xa.<a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true" title="class or interface in javax.transaction.xa"><span class="typeNameLink">XAException</span></a>
<ul>
<li type="circle">org.firebirdsql.jca.<a href="../../../org/firebirdsql/jca/FBXAException.html" title="class in org.firebirdsql.jca"><span class="typeNameLink">FBXAException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">javax.resource.spi.LocalTransaction
<ul>
<li type="circle">org.firebirdsql.jca.<a href="../../../org/firebirdsql/jca/FirebirdLocalTransaction.html" title="interface in org.firebirdsql.jca"><span class="typeNameLink">FirebirdLocalTransaction</span></a></li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jaybird/package-tree.html">Prev</a></li>
<li><a href="../../../org/firebirdsql/jdbc/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jca/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
